| IITkaGyan v0.9 A platform for students to ask their doubts to IITians directly...

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
gyans.views.UpdateAnswer Class Reference
Inheritance diagram for gyans.views.UpdateAnswer:

## Public Member Functions
def | get_context_data (self, **kwargs)
def | get_success_url (self)

## Public Attributes
| pk

## Static Public Attributes
| model = Answer
list | fields = ['answer_text']
string | template_name = 'gyans/answer_update_form.html'

## Detailed Description

    View to create answer form to update it, it is only for IITian user.

## Member Function Documentation

## ◆ get_context_data()

def gyans.views.UpdateAnswer.get_context_data | ( |  | self,
|  | ** | kwargs
| ) |  |

## ◆ get_success_url()

def gyans.views.UpdateAnswer.get_success_url | ( |  | self | ) |

## Member Data Documentation

## ◆ fields

list gyans.views.UpdateAnswer.fields = ['answer_text']
| static

## ◆ model

gyans.views.UpdateAnswer.model = Answer
| static

## ◆ pk

gyans.views.UpdateAnswer.pk

## ◆ template_name

string gyans.views.UpdateAnswer.template_name = 'gyans/answer_update_form.html'
| static

The documentation for this class was generated from the following file:

- IITKaGyan/gyans/views.py